# Installation
To build `mqrs` having the rust toolchain installed is mandatory.

## Install Rust
Install the Rust toolchain from [rustup.rs](https://rustup.rs).

## Build `mqrs`
`mqrs` can be built for development:
```sh
cargo b
```

or for releasing:
```sh
cargo b --release
```

## Build the `mqrs` Debian package
For that [`cargo-deb`](https://github.com/mmstick/cargo-deb) is
required, which can be installed with:
```sh
cargo install cargo-deb
```

A Debian package can be built with:
```sh
cargo deb
```

## Install `mqrs`
When a Rust toolchain installed you can also install `mqrs`
directly without cloning it manually:
``` sh
cargo install --git https://git.onders.org/finga/mqrs.git mqrs
```

or from within the project:
```sh
cargo install mqrs
```

## Run `mqrs`
`mqrs` can either be run from the project directory with:
```sh
cargo b
```

or you can copy the produced binary somewhere else or link to them
from `target/{debug,release}/mqrs` depending on which one you built.
