use anyhow::Result;
use clap::Parser;
use std::{
    fs::File,
    io::{BufRead, BufReader},
};

/// Print a list of existing message queues
#[derive(Debug, Parser)]
pub struct List {}

impl List {
    #[allow(clippy::unused_self)]
    pub fn run(&self) -> Result<()> {
        for line in BufReader::new(File::open("/proc/sysvipc/msg")?).lines() {
            for field in line?.split_whitespace() {
                print!("{field: <10}");
            }

            println!();
        }

        Ok(())
    }
}
