# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a
Changelog](https://keepachangelog.com/en/1.0.0/), and this project
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Basic tests to create, send, receive and delete a message queue as
  well as changing the mode of a queue.
- The functions `SysvMq::stat()`, `SysvMq::info()`,
  `SysvMq::msg_stat()` and `SysvMq::msg_info()` are added to receive
  parameters of a queue.
- The function `new()` passes now a key which is used for the new
  message queue.
- A basic test to test the happy path of a queue.
- The function `get()` to gather facts from a message queue.
- The function `set()` to set facts of a message queue.
- The function `create()` to create a message queue.
- The functions `send()` and `SysvMq::send()` to send messages to a
  queue.
- The functions `recv()` and `SysvMq::recv()` to receive messages from
  a queue.
- The function `SysvMq::delete()` to delete a queue.

### Changed

- The function `SysvMq::mode()` now also updates the message queue
  accordingly.
- Remove `PhantomData` from the `SysvMq` struct.
- The function `SysvMq::create()` is replaced by `SysvMq::new()`.
- Remove generic type for `SysvMq`.
- Rename `unlink_id()` to `delete()`.
- Update to the latest verscion of `nix`.
- Fix several clippy findings in preperation to enable several lint
  groups.

### Removed

- The function `id_from_key()` was removed.
