# Sysvmq

This library provides a convenient and easy usable API for SysV IPC
message queues.

```rust
use sysvmq::{SysvMq, SysvMqError};

fn example() -> Result<(), SysvMqError> {
    let mut mq = SysvMq::new(0)?;
    let mut buf = [0u8; 11];

    mq.send(b"hello queue")?;
    mq.recv(&mut buf)?;
    mq.delete()?;

    Ok(())
}
```
